var global_document_url = global_document_url || null;
var global_offset = 0;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	
	//http://mp3fevr.com
	if(-1 == vid_mate_url.indexOf("mp3fevr"))
	{
		return null;
	}

	var video_id = null;
	if(-1 != vid_mate_url.indexOf("play.php"))
	{
		video_id = vid_mate_get_parameter(vid_mate_url, "sid");
	}

	return video_id;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
	if(null == url || undefined == url || 0 == url.length)
	{
		return vid_mate_get_video_info_on_blank(document.URL);
	}
	
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('mp3fevr 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var videoImg = "";

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "mp3fevr";
	rtn_video.id = vid_mate_get_video_id(global_document_url);


    //http://mp3fevr.com/play.php?sid=99371
	if(-1 != vm_content.indexOf("href=\"songsrepo"))
	{
		var video_mp3_url = null;
		var tmp_mp3_url = cutstr(vm_content, "href=\"songsrepo", ".mp3");
		if(!tmp_mp3_url)
		{
		   return null;
		}
		video_mp3_url = "http://mp3fevr.com/songsrepo"  + tmp_mp3_url + ".mp3";
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = video_mp3_url;
		var tmp_format = "mp3";
		tmp_video_file.format = tmp_format;
		tmp_video_file.title = tmp_format;
		tmp_video_file.f_id = rtn_video.id+"_"+tmp_format;
		rtn_video.files.push(tmp_video_file);
	}
	else
	{
	   return null;
	}

	videoImg = cutstr(vm_content, "src='covers", ".jpg");
	if(videoImg)
	{
	   videoImg = "http://mp3fevr.com/covers" + videoImg;
	   videoImg += ".jpg";
	}
	
	rtn_video.picture_default = videoImg;
    rtn_video.picture_big = videoImg;
	
    var video_title = "";
    video_title = "Download Mp3 File";
	rtn_video.title = video_title;

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function rcutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p2 = content.indexOf(suffix);
	if(-1 == p2)
	{
		return "";
	}

	content = content.substr(0, p2);

	var p1 = content.lastIndexOf(prefix);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1 + prefix_len , p2);
}


function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}
