var global_vid_mate_video_id = "";
var global_document_url = "";

function vid_mate_get_video_id(url) {
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	//view-source:http://www.redtube.com/441015
	var tmp_re = new RegExp("/([0-9]+)$");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		return tmp_m[1];
	}
	return null;
}

function vid_mate_check(url) {
    if (vid_mate_get_video_id(url) == null) {
        vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "redtube";
	var tmp_content = "";

	tmp_content = vm_content;
	rtn_video.id = global_vid_mate_video_id;

	var tmp_re = new RegExp('<title>(.+?)</title>');
	if (!tmp_re.test(tmp_content)) {
		vid_mate_error_default('redtube 1');
		return null;
	}
	var tmp_m = tmp_content.match(tmp_re);
	rtn_video.title = tmp_m[1];
	rtn_video.url = global_document_url;

	var video_url = "";
	var tmp_re = new RegExp("<source src=\"(.+?)\"");
	if (tmp_re.test(tmp_content)) {
		var tmp_m = tmp_content.match(tmp_re);
		video_url = tmp_m[1];
	}

	if("" == video_url)
	{
		var tmp_re = new RegExp("<video src=\"(.+?)\"");
		if (tmp_re.test(tmp_content)) {
			var tmp_m = tmp_content.match(tmp_re);
			video_url = tmp_m[1];
		}
	}

	if("" == video_url)
	{
		var tmp_re = new RegExp("<video src='(.+?)'");
		if (tmp_re.test(tmp_content)) {
			var tmp_m = tmp_content.match(tmp_re);
			video_url = tmp_m[1];
		}
	}

	var img_url = "";
	img_url = getInfoFromMeta(tmp_content, "og:image");
	if("" != img_url)
	{
		rtn_video.picture_default = img_url;
		rtn_video.picture_big = img_url;
	}

	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.f_id = rtn_video.id + '_1';
	tmp_video_file.url = decodeURIComponent(video_url);
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format + '';
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info(url) {
	if(null == url || undefined == url || 0 == url.length)
	{
		return vid_mate_get_video_info_on_blank(document.URL);
	}
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	/*
	if (!vid_mate_check()) {
		return null;
	}
	*/

	var vid_mate_video_id = vid_mate_get_video_id(url);
	if(null == vid_mate_video_id)
	{
		return null;
	}
	global_document_url = url;
	global_vid_mate_video_id = vid_mate_video_id;
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	var referer = url;
	var cookie = "";
	var userAgent = "";//"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/538.35 (KHTML, like Gecko) Chrome/28.0.1501.95 Safari/537.36";
	var method = "get";
	var data = "";
	vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function getInfoFromMeta(content, keyword)
{
    var tmp_re = new RegExp('<meta property="'+keyword+'" content="([^"]+)" />');
    if (tmp_re.test(content))
    {
        var tmp_m = content.match(tmp_re);
        return tmp_m[1];
    }
    else
    {
        var tmp_re = new RegExp("<meta property='"+keyword+"' content='([^']+)' />");
        if (tmp_re.test(content))
        {
            var tmp_m = content.match(tmp_re);
            return tmp_m[1];
        }
    }
    return "";
}

