var global_rtn_video = global_rtn_video || null;
var global_document_url = global_document_url || null;
var global_video_id = global_video_id || null;

function vid_mate_get_video_id(url)
{
	var vid_mate_video_id = "";
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://videoslelo.com/play/dm/music/apney-pyar-ke-sapney-amitabh-bachchan-rakhee-gulzar-barsaat-ki-ek-raat
	//http://videoslelo.com/play.php?id=112
	if(-1 == vid_mate_url.indexOf("videoslelo"))
	{
		return null;
	}

	if(-1 == vid_mate_url.indexOf("play"))
	{
		return null;
	}

	vid_mate_video_id = vid_mate_get_parameter(vid_mate_url, "id");
	if(vid_mate_video_id)
	{
		return vid_mate_video_id;
	}

	var arr = vid_mate_url.split("/");
	if(7 != arr.length)
	{
		return null;
	}
	var vid_mate_video_id = arr.pop();
	if(0 == vid_mate_video_id.length)
	{
		return null;
	}

	return vid_mate_video_id;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	global_video_id = vid_mate_video_id;
	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('videoslelo 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var videoUrl = "";
	var videoTitle = "Mp4";

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "videoslelo";
	rtn_video.id = vid_mate_get_video_id(global_document_url);

	videoUrl = cutstr(vm_content, "<source src='", "'");
	if(!videoUrl)
	{
		vid_mate_error_default('get sources fail');
		return null;
	}

	if(-1 == videoUrl.indexOf("http"))
	{
		videoUrl = "http://videoslelo.com/" + videoUrl;
	}

	//title
	rtn_video.title = "Video_"+global_video_id;

	//var videoImg = "http://videoslelo.com/thumbs/"+global_video_id+".jpg";
	//rtn_video.picture_big = videoImg;
	//rtn_video.picture_default = videoImg;

	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.url = videoUrl;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = "mp4";
	tmp_video_file.title = "mp4";
	tmp_video_file.f_id = rtn_video.id+"_mp4";
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}
