
function vid_mate_get_video_id() {
	var vid_mate_url = document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	if(-1 == vid_mate_url.indexOf("mp3jugaad"))
	{
		return null;
	}
	//http://mp3jugaad.in/download/821885692/lets-go-to-mumbai-city
	var tmp_re = new RegExp("/download/([0-9]+)/");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		return tmp_m[1];
	}
	return null;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "mp3jugaad";
	var tmp_video_file = new vid_mate_video_file();
	rtn_video.id = vid_mate_get_video_id();

	var tmp_content = document.body.innerHTML;

	var videoTitle = "mp3";
	var videoUrl = "";
	rtn_video.title = "";

	var aArray = document.getElementsByTagName("a");
	if(0 == aArray.length)
	{
		vid_mate_error_default('mp3jugaad 1');
		return null;
	}

	for(var i=0; i<aArray.length; ++i)
	{
		var obj = aArray[i];
		var href = obj.getAttribute("href");
		if(-1 != href.indexOf(".mp3"))
		{
			videoUrl = href;
			break;
		}
	}

	if("" == videoUrl)
	{
		vid_mate_error_default('mp3jugaad 2');
		return null;
	}
	if(-1 == videoUrl.indexOf("http"))
	{
		videoUrl = "http://mp3jugaad.in" + videoUrl;
	}

	var tmp = document.title;
	var arr = tmp.split(" - ");
	arr.pop();
	videoTitle = arr.join(" - ");

	rtn_video.title = videoTitle;

	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.url = videoUrl;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;
	tmp_video_file.f_id = rtn_video.id;
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info() {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	if (!vid_mate_check()) {
		return null;
	}

	var vid_mate_video_id = vid_mate_get_video_id();
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	vid_mate_video_analytics(vid_mate_video_id);
}
